<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{minhasComprasBean.usuario}" />
		<o:viewParam name="idEstabelecimento" value="#{minhasComprasBean.estab}" />
		<f:viewAction action="#{minhasComprasBean.inicializar}" />
	</f:metadata>

	<ui:define name="page_title">
		Minhas Compras
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Suas Notas Fiscais</h4>
				<p class="category">Veja os detalhes de suas Notas Fiscais</p>
				<br />
				<div class="row">
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-warning text-center">
	                                            <i class="ti-server"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Notas Fiscal</p>
	                                            #{minhasComprasBean.numeroNotas}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                    <div class="col-lg-4 col-sm-6">
	                        <div class="card">
	                            <div class="card-content">
	                                <div class="row">
	                                    <div class="col-xs-5">
	                                        <div class="icon-big icon-success text-center">
	                                            <i class="ti-wallet"></i>
	                                        </div>
	                                    </div>
	                                    <div class="col-xs-7">
	                                        <div class="numbers">
	                                            <p>Total em Compras</p>
	                                            #{minhasComprasBean.totalCompras}
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                </div>
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
							<p>
								<strong>ESTABELECIMENTO: </strong>#{minhasComprasBean.estab.cnpj} - #{minhasComprasBean.estab.nomeFantasia}
							</p>
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{minhasComprasBean.notaFiscais}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables-compras">
								<h:column>
									<f:facet name="header">
										<h:outputText value="NFCe" />
									</f:facet>
									<h:outputText value="#{item.numero}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="DATA" />
									</f:facet>
									<h:outputText value="#{item.dataEmissao}" />
								</h:column>								
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="ITENS" /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.itens}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="VALOR (R$)" />
									</f:facet>
									<h:outputText value="R$ #{item.vlNfce}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="nfce-detalhe">
										<f:param name="id" value="#{item.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//datatables-compras
					$('#datatables-compras').DataTable({
						"columnDefs": [ {
									"targets": 1,
									"render": function (data) {
									var date = new Date(data);
									return moment(date).format('DD-MM-YYYY HH:mm'); //'YYYY-MM-DD HH:mm'
								}
							} ],
								"pagingType": "numbers",
								responsive: true,
								ordering: false,
								"bLengthChange": false,
								language: {
									search: "_INPUT_",
									searchPlaceholder: "Filtrar",
									"url": "/resources/json/Portuguese-Brasil.json"
							}
						});
	});
</h:outputScript>
	</ui:define>
</ui:composition>
